#include <bits/stdc++.h>

using namespace std;

int main(){

    vector<int> v;
    int n, k, x;
    scanf("%d%d%d", &n, &k, &x);
    v.push_back(1);
    for(int i =0; i<k ; i++)
        v.push_back(x+2);


    for(int i =0; i<(n-k)-1; i++)
        v.push_back(x/2);

    for(int i=0; i<v.size(); i++)
        printf("%d ", v[i]);
    printf("\n");
    return 0;
}